Project baselines

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/project/{projectId}/project-baselines

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • name string
    • projectId integer(int64)
    • scenarioId integer(int64)
    • initialDataDate string(date)
GET /company/{companyId}/project/{projectId}/project-baselines
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/project/{projectId}/project-baselines' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": 42,
    "name": "string",
    "projectId": 42,
    "scenarioId": 42,
    "initialDataDate": "2026-05-04"
  }
]